%global pkgname ofxparse

Name:           python-%{pkgname}
Version:        0.20
Release:        %mkrel 3
Summary:        Python library for working with the OFX (Open Financial Exchange) file format
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ofxparse/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

%description
ofxparse is a parser for Open Financial Exchange (.ofx) format files. OFX files
are available from almost any online banking site, so they work well if you
want to pull together your finances from multiple sources. Online trading
accounts also provide account statements in OFX files.

%package -n python3-%{pkgname}
Summary:        Python library for working with the OFX (Open Financial Exchange) file format
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-six
#for tests
BuildRequires:  python3-lxml
BuildRequires:  python3-soupsieve
Requires:       python3-beautifulsoup4
Requires:       python3-six

%description -n python3-%{pkgname}
ofxparse is a parser for Open Financial Exchange (.ofx) format files. OFX files
are available from almost any online banking site, so they work well if you
want to pull together your finances from multiple sources. Online trading
accounts also provide account statements in OFX files.

%prep
%setup -q -n %{pkgname}-%{version}

# drop bundle egg-info
rm -rf %{pkgname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/%{pkgname}
%{python3_sitelib}/%{pkgname}*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.20-3.mga8
+ Revision: 1532488
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with tests

* Mon Sep 16 2019 wally <wally> 0.20-2.mga8
+ Revision: 1442444
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.20-1.mga7
+ Revision: 1353497
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.15-3.mga7
+ Revision: 1289493
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.15-2.mga7
+ Revision: 1135523
- Rebuild for python 3.6

* Sun Nov 20 2016 joequant <joequant> 0.15-1.mga6
+ Revision: 1068403
- fix build requires
- fix typo
- imported package python-ofxparse

